PostgreSQL 8.0.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP SEQUENCE

## Name

DROP SEQUENCE -- remove a sequence

## Synopsis

    DROP SEQUENCE name [, ...] [ CASCADE | RESTRICT ]

## Description

`DROP SEQUENCE` removes sequence number generators.

## Parameters

`name`

  The name (optionally schema-qualified) of a sequence.

`CASCADE`

  Automatically drop objects that depend on the sequence.

`RESTRICT`

  Refuse to drop the sequence if any objects depend on it. This is the default.

## Examples

To remove the sequence `serial`:

    DROP SEQUENCE serial;

## Compatibility

`DROP SEQUENCE` conforms with SQL:2003, except that the standard only allows one sequence to be dropped per command.

## See Also

CREATE SEQUENCE

Prev | Home | Next
DROP SCHEMA | Up | DROP TABLE